LibreOffice LibreOffice 6.2 SDK API Reference

Variables
com::sun::star::frame::CommandGroup Constant Group Referencepublished

provides information about a supported command More...

## Variables
const short | INTERNAL = 0
| specifies internal commands. More...
const short | APPLICATION = 1
| specifies application based commands. More...
const short | VIEW = 2
| specifies view specific commands. More...
const short | DOCUMENT = 3
| specifies document specific commands. More...
const short | EDIT = 4
| specifies edit specific commands. More...
const short | MACRO = 5
| specifies commands used by the built-in Basic. More...
const short | OPTIONS = 6
| specifies commands to change options. More...
const short | MATH = 7
| specifies math specific commands. More...
const short | NAVIGATOR = 8
| specifies navigate commands. More...
const short | INSERT = 9
| specifies insert commands. More...
const short | FORMAT = 10
| specifies commands that are related to formats. More...
const short | TEMPLATE = 11
| specifies commands that are related to templates. More...
const short | TEXT = 12
| specifies text specific commands. More...
const short | FRAME = 13
| specifies frame specific commands. More...
const short | GRAPHIC = 14
| specifies commands that are related to graphical data. More...
const short | TABLE = 15
| specifies commands that are related to tables. More...
const short | ENUMERATION = 16
| specifies commands that are related to bullets and numbering. More...
const short | DATA = 17
| specifies commands that are related to data. More...
const short | SPECIAL = 18
| specifies special commands. More...
const short | IMAGE = 19
| specifies commands that are related to images. More...
const short | CHART = 20
| specifies chart specific commands. More...
const short | EXPLORER = 21
| specifies explorer specific commands. More...
const short | CONNECTOR = 22
| specifies commands that are related to connectors. More...
const short | MODIFY = 23
| specifies commands that are related to modifications. More...
const short | DRAWING = 24
| specifies commands that are related to drawing. More...
const short | CONTROLS = 25
| specifies commands that are related to controls. More...

## Detailed Description

provides information about a supported command

See also
  XDispatchInformationProvider
  Controller

Since
  OOo 2.0

## Variable Documentation

## ◆ APPLICATION

const short APPLICATION = 1

specifies application based commands.

## ◆ CHART

const short CHART = 20

specifies chart specific commands.

## ◆ CONNECTOR

const short CONNECTOR = 22

specifies commands that are related to connectors.

## ◆ CONTROLS

const short CONTROLS = 25

specifies commands that are related to controls.

## ◆ DATA

const short DATA = 17

specifies commands that are related to data.

## ◆ DOCUMENT

const short DOCUMENT = 3

specifies document specific commands.

## ◆ DRAWING

const short DRAWING = 24

specifies commands that are related to drawing.

## ◆ EDIT

const short EDIT = 4

specifies edit specific commands.

## ◆ ENUMERATION

const short ENUMERATION = 16

specifies commands that are related to bullets and numbering.

## ◆ EXPLORER

const short EXPLORER = 21

specifies explorer specific commands.

## ◆ FORMAT

const short FORMAT = 10

specifies commands that are related to formats.

## ◆ FRAME

const short FRAME = 13

specifies frame specific commands.

## ◆ GRAPHIC

const short GRAPHIC = 14

specifies commands that are related to graphical data.

## ◆ IMAGE

const short IMAGE = 19

specifies commands that are related to images.

## ◆ INSERT

const short INSERT = 9

specifies insert commands.

## ◆ INTERNAL

const short INTERNAL = 0

specifies internal commands.

## ◆ MACRO

const short MACRO = 5

specifies commands used by the built-in Basic.

## ◆ MATH

const short MATH = 7

specifies math specific commands.

## ◆ MODIFY

const short MODIFY = 23

specifies commands that are related to modifications.

## ◆ NAVIGATOR

const short NAVIGATOR = 8

specifies navigate commands.

## ◆ OPTIONS

const short OPTIONS = 6

specifies commands to change options.

## ◆ SPECIAL

const short SPECIAL = 18

specifies special commands.

## ◆ TABLE

const short TABLE = 15

specifies commands that are related to tables.

## ◆ TEMPLATE

const short TEMPLATE = 11

specifies commands that are related to templates.

## ◆ TEXT

const short TEXT = 12

specifies text specific commands.

## ◆ VIEW

const short VIEW = 2

specifies view specific commands.